package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformGzhPlan {
    private Long id;

    private Integer type;

    private Integer publishStage;

    private Long accountId;

    private Integer scene;

    private String externalId;

    private Integer selectVideoType;

    private Integer status;

    private Integer stagePublishStatus;

    private Long createAccountId;

    private Long createTimestamp;

    private Long updateTimestamp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getPublishStage() {
        return publishStage;
    }

    public void setPublishStage(Integer publishStage) {
        this.publishStage = publishStage;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public Integer getScene() {
        return scene;
    }

    public void setScene(Integer scene) {
        this.scene = scene;
    }

    public String getExternalId() {
        return externalId;
    }

    public void setExternalId(String externalId) {
        this.externalId = externalId;
    }

    public Integer getSelectVideoType() {
        return selectVideoType;
    }

    public void setSelectVideoType(Integer selectVideoType) {
        this.selectVideoType = selectVideoType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStagePublishStatus() {
        return stagePublishStatus;
    }

    public void setStagePublishStatus(Integer stagePublishStatus) {
        this.stagePublishStatus = stagePublishStatus;
    }

    public Long getCreateAccountId() {
        return createAccountId;
    }

    public void setCreateAccountId(Long createAccountId) {
        this.createAccountId = createAccountId;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Long getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Long updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", type=").append(type);
        sb.append(", publishStage=").append(publishStage);
        sb.append(", accountId=").append(accountId);
        sb.append(", scene=").append(scene);
        sb.append(", externalId=").append(externalId);
        sb.append(", selectVideoType=").append(selectVideoType);
        sb.append(", status=").append(status);
        sb.append(", stagePublishStatus=").append(stagePublishStatus);
        sb.append(", createAccountId=").append(createAccountId);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append(", updateTimestamp=").append(updateTimestamp);
        sb.append("]");
        return sb.toString();
    }
}